Instalando JAVA (JDK 6) en DEBIAN

17 03 2008

Bueno, ahora les ayudare a instalar el JDK( version 1.4 a mas) en un ordenador con DEBIAN.

  • Crear una carpeta para la instalación. de Preferencia en /usr/java
    • # mkdir /usr/java
  • Darle permisos de propietario al usuario( tu usuario ).
    • # chown -R tu_usuario /usr/java
  • Copiamos el archivo bajado ( JDk 6 actualizacion 5 ) a la carpeta creada
    • # cp /home/inforux/java/jdk-6u5-linux-i586.bin /usr/java
  • Le asignamos Permisos de Ejecución
    • # chmod a+x /usr/java/jdk-6u5-linux-i586.bin
  • Instalamos el Binario
    • # ./jdk-6u5-linux-i586.bin
    • Aceptamos la Licencia, y contnuamos con la Instalacíon.
  • Luego damos permisos de propietario a nuestro usuario con referencia a la carpeta creada por la instalación.
    • # chown -R inforux /usr/java/jdk1.6.0_05
  • Editar el Archivo /root/.bashrc para q ejecutes los comando”javac” y “java” desde cualquier ubicacion agregando 2 lineas.
  • # nano /root/.bashrc

Agregar estas lineas:

  • export JAVA_HOME=/usr/java/jdk1.6.0_05
  • export PATH=$JAVA_HOME/bin:$PATH

Nota. si quieres, ejecutar los comandos con tu usuario edita el archivo .bashrc de tu usuario

  • # nano /home/tu_usuario/.bashrc
  • Añadir las dos lineas

Listo, Disfruta y Empieza a Programar con JAVA.


Acciones

Information

13 responses

17 03 2008
Victor

no seria mejor un apt-get install sun-java6 ?

12 06 2008
Marakas

El tutorial está genial !
lo del apt-get yo no lo he conseguido. No me encuentra el paquete sun-java6.

Solo añadiria
update-alternatives –display java
… y si aparece alguna referencia
update-alternatives –remove-all java

Salu2

8 09 2008
luchox25

Hola, les pido encarecidamente una colaboracion he seguido el tutorial y no logro configurar el PATH, por favor hace poco instale el Debian 4.0 Lenny beta2 y necesito instalar el JDK, te explico lo que hice.

# mkdir /usr/java
# cd /usr/java
# chmod 755 /home/luchox25/Desktop/Descargas/jdk-6u10-rc-bin-b28-linux-amd64-21_jul_2008-rpm.bin
# /home/luchox25/Desktop/Descargas/jdk-6u10-rc-bin-b28-linux-amd64-21_jul_2008-rpm.bin

luego de esto se ejecuta el instalador y acepto la licencia, Luego:

# gedit .bashrc

y agrego las siguientes lineas:

# export PATH=/usr/java/jdk-6u10/bin/:$PATH
# JAVA_HOME=”/usr/java/jdk-6u10/”
# export JAVA_

Agradesco cualquier ayuda que me puedan brindar.

9 09 2008
inforux

Solo estas 2 lineas agrega:

export JAVA_HOME=/usr/java/jdk-6u10
export PATH=$JAVA_HOME/bin:$PATH

Saludos.

9 09 2008
luchox25

Ya agregue las lineas que escribiste y no funciona, al intentar instalar NetBeans 6.1, en el tercer paso me sale un mensaje:
“the path to the JDK cannot be empty.”
Estoy realmente mal humorado creo que lo dejare y volvere a windows….
Es broma. Pero si sabes algo que me sea de ayuda te lo agradeceria mucho.

30 09 2008
bellicose

hola amigo, con respecto a tu duda, quiero comentarte que estas editando el bashrc como super usuario, hazlo como usuario normal y tendrás lo que necesitas. Espero te funcione y cualquier duda comentala. Suerte😉

15 11 2008
Nelson Abel

hola so pervetido sexual muchas gracias por tu ayuda me servio de mucho.
hasta la proxima

15 11 2008
Nelson Abel

ahora quiero tu ayuda ,pero para php y mysql

31 12 2008
Amaro

wow, esto es mucho más fácil que andar cambiando los repositorios de mi etch para que descargue unstable como en otros lados dice, gracias por el aporte, 100% funcionando!!

9 03 2010
reil0625

Tengo problema!

Trato de instalar el Binario

# ./jdk-6u18-linux-i586.bin

y me responde lo siguiente:

bash: ./jdk-6u18-linux-i586.bin: Permiso denegado

en ocaciones asi, ¿Que debo hacer?

8 07 2010
Eisenheim

Cuando te dice: bash: ./jdk-6u18-linux-i586.bin: Permiso denegado es que no tienes permisos, ademas de que antes debiste dar: chmod a+x jdk-6u18-linux-i586.bin y despues ejecutarlo:
sudo ./jdk-6u18-linux-i586.bin
Y si no es eso, revisa tus permisos sobre la carpeta en donde estas ejecutando el bin.

Saludos! y mis felicitaciones por el blog jejeje ahorita mismo me ando peleando con esto😛

17 07 2011
chijo

tengo un problema..cuando intento instalarlo me sale esto :

Checksumming…
Extracting…
./install.sfx.5218: 1: ELF: not found
./install.sfx.5218: 2: Syntax error: “)” unexpected

alguna sugerencia? muchas gracias saludos

4 02 2012
Anónimo

Groso anduvo de una

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s




A %d blogueros les gusta esto: